Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.function
Interface FeatureFunction

All Superinterfaces:
  Function

All Known Subinterfaces:
  FeatureCastFunction, FeatureMapFunction, Modifiable

All Known Implementing Classes:
  ArcDirFeature, ColumnFeature, DistanceFeature, ExistsFeature, InputArcDirFeature, InputArcFeature, InputColumnFeature, InputTableFeature, Merge3Feature, MergeFeature, NumOfFeature, OutputArcFeature, OutputColumnFeature, OutputTableFeature, PrefixFeature, SplitFeature, SuffixFeature, TableFeature

    public interface FeatureFunction

extends Function

Author:
  Johan Hall

Method Summary
`int` | `getCode(String symbol)` Returns the integer representation of the string `symbol` according to the feature function.
`FeatureValue` | `getFeatureValue()` Returns the feature value
`String` | `getMapIdentifier()`
`String` | `getSymbol(int code)` Returns the string representation of the integer `code` according to the feature function.
`SymbolTable` | `getSymbolTable()` Returns the symbol table used by the feature function.
`int` | `getType()`

Methods inherited from interface org.maltparser.core.feature.function.Function
`getParameterTypes, initialize, update`

Method Detail

### getSymbol

    String getSymbol(int code)
                     throws MaltChainedException

  Returns the string representation of the integer `code` according to the feature function.

  Parameters:
    `code` - the integer representation of the symbol
  Returns:
    the string representation of the integer `code` according to the feature function.
  Throws:
    `MaltChainedException`

### getCode

    int getCode(String symbol)
                throws MaltChainedException

  Returns the integer representation of the string `symbol` according to the feature function.

  Parameters:
    `symbol` - the string representation of the symbol
  Returns:
    the integer representation of the string `symbol` according to the feature function.
  Throws:
    `MaltChainedException`

### getSymbolTable

    SymbolTable getSymbolTable()

  Returns the symbol table used by the feature function.

  Returns:
    the symbol table used by the feature function.

### getFeatureValue

    FeatureValue getFeatureValue()

  Returns the feature value

  Returns:
    the feature value

### getType

    int getType()

### getMapIdentifier

    String getMapIdentifier()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.